Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grammar
Class Locator

    java.lang.Object
      org.xml.sax.helpers.LocatorImpl
          de.grogra.grammar.Locator

All Implemented Interfaces:
  org.xml.sax.Locator

    public class Locator

extends org.xml.sax.helpers.LocatorImpl

Constructor Summary
`Locator()`
`Locator(org.xml.sax.Locator locator)`
`Locator(java.lang.String line, int columnNumber)`
`Locator(java.lang.String line, int lineNumber, int columnNumber)`
`Locator(java.lang.String systemId, java.lang.String line, int lineNumber, int columnNumber)`

Method Summary
`void` | `complete(java.lang.String systemId, java.lang.String line, int lineNumber, int columnNumber)`
`java.lang.String` | `getLine()`
`java.lang.String` | `toString()`

Methods inherited from class org.xml.sax.helpers.LocatorImpl
`getColumnNumber, getLineNumber, getPublicId, getSystemId, setColumnNumber, setLineNumber, setPublicId, setSystemId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Locator

    public Locator()

### Locator

    public Locator(org.xml.sax.Locator locator)

### Locator

    public Locator(java.lang.String line,
                   int columnNumber)

### Locator

    public Locator(java.lang.String line,
                   int lineNumber,
                   int columnNumber)

### Locator

    public Locator(java.lang.String systemId,
                   java.lang.String line,
                   int lineNumber,
                   int columnNumber)

Method Detail

### complete

    public final void complete(java.lang.String systemId,
                               java.lang.String line,
                               int lineNumber,
                               int columnNumber)

### getLine

    public final java.lang.String getLine()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD